Get subject
curl --request GET \
--url https://partner-api.ochy-prod.com/subjects/{subject_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/subjects/{subject_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/subjects/{subject_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "runner@example.com",
"name": "Jane Smith",
"height": 1.72,
"weight": 62,
"created_at": "2025-03-20T15:30:00Z"
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "Subject not found"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Subjects
Get subject
Retrieve a single subject by ID. Returns 404 if the subject does not exist or has been soft-deleted.
GET
/
subjects
/
{subject_id}
Get subject
curl --request GET \
--url https://partner-api.ochy-prod.com/subjects/{subject_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/subjects/{subject_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/subjects/{subject_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "runner@example.com",
"name": "Jane Smith",
"height": 1.72,
"weight": 62,
"created_at": "2025-03-20T15:30:00Z"
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "Subject not found"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Authorizations
bearerAuthapiKeyHeaderapiKeyQuery
Recommended. Pass your API key as a Bearer token in the Authorization header: Authorization: Bearer YOUR_API_KEY.
Path Parameters
Subject ID.
Response
Subject details.